Skip to main content
Version: 1.5.4

BIP340 - Import secret share as a recipient

POST 

/bip340/import/import-key-share-recipient

authorization

This API endpoint requires an API Key with at least one of the following Roles: KeysManager | KeysImporter

Imports a full private key and splits it into a T-of-N key sharing scheme. The resultant key shares will correspond to the exact same public key as the original private key. This method is intended for a new party, who does not currently possess the private key, to receive a key share and join the T-of-N quorum. The import operation uses the same input parameters as key generation since the process is similar for a new party joining the quorum.

Request

Header Parameters

    AUTHORIZATION stringrequired

    The AUTHORIZATION header must be set to the API Key of the user. The API Key is returned when a new user is created using the /admin/create-user endpoint.

Body

required

    oneOf

    key_namestringrequired
    others_keygen_idsstring[]required

    relay_address

    object

    An Optional relay address to use only for this specific MPC operation. If not provided, the default relay address will be used. The relay address should be in the format of host:port.

    anyOf

    string

    room_uuidstringrequired
    thresholduint16required

    Possible values: >= 1

Responses